/ api / name / gb.hashtable.add
GB.HashTable.Add
Syntax

    void GB.HashTable.Add ( GB_HASHTABLE hash , const char *key , long len , void *data )

Inserts a data into the hash table.

- hash points at the hash table.
- key is the key associated with the data.
- len is the length of the key.
- data is the data pointer.

The keys are copied into the hash table, so the string that key points at can be temporary.

If a data was already associated with the specified key, this data is silently replaced by the new one.

### See also

Hash Tables Management